Subject: Re: transaction in H.248

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 18 Nov 1999 13:59:04 -0600

Brian's probably right.  I read his reply after I sent my note.

> -----Original Message-----
> From: Wai-tak Siu [SMTP:[email-masked]]
> Sent: Thursday, November 18, 1999 2:51 PM
> To:   Taylor, Tom-PT [CAR:B904-I:EXCH]
> Cc:   [email-masked]
> Subject:      Re: transaction in H.248
>
> Tom,
>     Your response is contrary to that of Brian. This is quoted from his
> email (please find the original question at the end of this mail):
>
> > work. The draft is silent about this.
> [BR] Yep, because it was considered too hard to insist on this.
> An example would be a Subtract which used a connection oriented
> protocol.  If you get an error taking down the connection, it's
> going to be down, and you can't put it back!
>
>     Could you please resolve the conflict? Thanks.
> Waitak
> Cisco Systems
>
> Tom-PT Taylor wrote:
>
> >      >
> >      >     Question: Is the command that generates the error atomic,
> >      and
> >      > treated as if it has not been processed? Specifically, if this
> >      command
> >      > contains an EventDescriptor, will it not replace the existing
> >      one at the
> >      > termination?
> >
> >      Gateway implementation should take care that any command which
> >      results in a
> >      an error does not have any side effects. I suppose thats the way
> >      it should
> >      work. The draft is silent about this.
> >      [[TomT]]
> >      I think we managed to agree that command execution is atomic.  If
> >      we need clarifying wording, then from the ITU's point of view it
> >      would go into the H.248 Implementor's Guide.
> >
> >
>